## org.eclipse.datatools.modelbase.sql.xml.query.impl
Class XMLAttributesDeclarationImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLAttributesDeclarationImpl

All Implemented Interfaces:
  XMLAttributesDeclaration

public class XMLAttributesDeclarationImpl
extends EObjectImpl
implements XMLAttributesDeclaration

An implementation of the model object 'XML Attributes Declaration'.

The following features are implemented:

- `Value Function Element`
- `Attribute Decl Item`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `eBasicRemoveFromContainer(NotificationChain msgs)`
`java.lang.Object` `eGet(EStructuralFeature eFeature, boolean resolve)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`boolean` `eIsSet(EStructuralFeature eFeature)`
`void` `eSet(EStructuralFeature eFeature, java.lang.Object newValue)`
`void` `eUnset(EStructuralFeature eFeature)`
`EList` `getAttributeDeclItem()`
`XMLValueFunctionElement` `getValueFunctionElement()`
`void` `setValueFunctionElement(XMLValueFunctionElement newValueFunctionElement)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getValueFunctionElement

    public XMLValueFunctionElement getValueFunctionElement()

  Specified by:
    `getValueFunctionElement` in interface `XMLAttributesDeclaration`
  Returns:
    the value of the 'Value Function Element' container reference.
  See Also:
    `XMLAttributesDeclaration.setValueFunctionElement(XMLValueFunctionElement)`, `SQLXMLQueryModelPackage.getXMLAttributesDeclaration_ValueFunctionElement()`, `XMLValueFunctionElement.getAttributesDecl()`

### setValueFunctionElement

    public void setValueFunctionElement(XMLValueFunctionElement newValueFunctionElement)

  Specified by:
    `setValueFunctionElement` in interface `XMLAttributesDeclaration`
  Parameters:
    `newValueFunctionElement` - the new value of the 'Value Function Element' container reference.
  See Also:
    `XMLAttributesDeclaration.getValueFunctionElement()`

### getAttributeDeclItem

    public EList getAttributeDeclItem()

  Specified by:
    `getAttributeDeclItem` in interface `XMLAttributesDeclaration`
  Returns:
    the value of the 'Attribute Decl Item' containment reference list.
  See Also:
    `SQLXMLQueryModelPackage.getXMLAttributesDeclaration_AttributeDeclItem()`, `XMLAttributeDeclarationItem.getAttributesDecl()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         java.lang.Class baseClass,
                                         NotificationChain msgs)

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            java.lang.Class baseClass,
                                            NotificationChain msgs)

### eBasicRemoveFromContainer

    public NotificationChain eBasicRemoveFromContainer(NotificationChain msgs)

### eGet

    public java.lang.Object eGet(EStructuralFeature eFeature,
                                 boolean resolve)

### eSet

    public void eSet(EStructuralFeature eFeature,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(EStructuralFeature eFeature)

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.